qBittorrent

Application Information#

qBittorrent
service nameqbittorrent
service usersame as your dashboard user
CLIyes
RPCno
Thin Clientno, WebUI bind to localhost only
configure file location/home/${username}/.config/qBittorrent/qBittorrent.conf
latest version4.3.3
defalut version4.2.5
available versionsince 4.1.x

Dependency Information#

qBittorrent requires Libtorrent-Rasterbar

libtorrent versionqbittorrent version
1.1.x4.1.x
1.1.x or 1.2.x4.2.x
1.2.x4.3.0, 4.3.1
>= 1.2.11since 4.3.2
About qBittorrent 4.3.2 and later

As qBittorrent stable version has modified its dependencies several times, there will be many uncertainties on installing with deb or compiling. To ensure a successful installation, we currently provide the binary with statically linked.

How to connect to qBittorrent with IP:port?#

In qBittorrent, you need to find Web User Interface (Remote control) > IP address, change default 127.0.0.1 to 0.0.0.0. The software will be able to connect directly after saving your config. You will also find the WebUI port number in this Tab.

How to downgrade qBittorrent?#

qBittorrent downgrade 4.2.1 -> 4.1.9.2 (--force flag is required)

box update qbittorrent --qb 4.1.9.2 --force
recheck requirement

If you downgrade from qBittorrent 4.2.5 with Libtorrent 1.2.x to qBittorrent 4.1.x with Libtorrent 1.1.x, you will have to recheck all your existed torrernts. Their fastresume data is incompatible.